Subject: Re: [Patch] Establishing more than 64K outgoing TCP connections

From: Eric Dumazet <[email-masked]>
Date: Fri, 07 Nov 2008 17:23:01 +0100

Please dont top post your messages on this list.

Yavor Goulishev a écrit :
> Hey,
> I"m not kernel hacker and I don't want to be.
> I stumbled on something and I fixed it.
> That's not my focus or interest.
> I've spend  a couple of hours on it, just to unblock my project.
> That's all.
> 
> What was a complete surprise for me was fact that
> something so fundamental can be broken for so long.
> After wasting some time on your mailing list I know
> that it is not technical issue.

Thats the deal.

You post a patch, other people comment on it, and if its good,
patch is accepted. Linux kernel developement is not an easy task.
Not being a "kernel hacker" wont allow you to bypass the rules.

As many people are concerned, its even more important to adopt
a right attitude, because if people are upset, they wont even
consider your patch. Yes, thats a pity.

Your concern is valid, but your patch in its current form
is not *the* solution.

About your idea of having a hash (port , IP), it is not
applicable. If you believe I am wrong, please post
a new patch so that truth can be revealed.